package com.example.test.actions;

import com.example.preferences.PreferencesPlugin;
import com.example.preferences.ServerScope;
import org.eclipse.core.runtime.Platform;
import org.eclipse.core.runtime.preferences.DefaultScope;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

public class SampleAction implements IWorkbenchWindowActionDelegate {
	private IWorkbenchWindow window;

	public SampleAction() {
	}

	public void run(IAction action) {
		// This creates the root of the server prefs hierarchy.
		Platform.getPreferencesService().getRootNode().node(ServerScope.SCOPE);
		// Access the defaults for my plug-in. This will run the new initializer.
		new DefaultScope().getNode(PreferencesPlugin.PI_PLUGIN);
		MessageDialog.openInformation(window.getShell(), "Test Plug-in", "Hello, Eclipse world");
	}

	public void selectionChanged(IAction action, ISelection selection) {
	}

	public void dispose() {
	}

	public void init(IWorkbenchWindow window) {
		this.window = window;
	}
}